<template>
  <div class="p-4 bg-grey-lighter">
    <div class="mb-2">
      <p class="mb-2">
        Thank you for using ANCORE. What do you think? What can we improve?
      </p>

      <p class="italic text-sm">
        You will be able to edit this later if you change your mind.
      </p>
    </div>

    <div>
      <input
        v-model="name"
        placeholder="Name (optional)"
        type="text"
        class="p-2 border w-full my-2"
      >

      <textarea
        v-model="text"
        placeholder="Your comments about the platform."
        rows="6"
        class="p-2 border w-full my-2"
      />
    </div>

    <button
      class="btn w-full mt-2"
      @click="sendFeedback"
    >
      Send
    </button>
  </div>
</template>

<script lang="ts">
import { Vue, Component } from 'vue-property-decorator'
import { State } from 'vuex-class'
import axios from 'axios'

@Component
export default class Feedback extends Vue {
  @State userID: string

  name = ''
  text = ''

  mounted () {
    axios.get(`/api/user/${this.userID}/feedback`)
      .then(({
        data: {
          name,
          text
        }
      }) => {
        this.name = name
        this.text = text
      })
  }

  sendFeedback () {
    axios.post(`/api/user/${this.userID}/feedback`, {
      name: this.name,
      text: this.text
    }).then(() => {
      this.$emit('save')
    })
  }
}
</script>
